Gönderen Konu: ATI - Radeon HD 4770 sürücüsünü yükleme  (Okunma sayısı 926 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« : »
Merhaba

AMD'nin sayfasından uygun sürücüyü indirdim. Dosya uzantısı ".run" olan bir sürücü indi. İnternette araştırdım ve terminalden çalıştırdım. Uygulama açıldı ve next dedikten sonra hata verdi.
Ekran görüntüsünü ek üzerine koydum. Bu ekran kartı sürücüsünü nasıl yükleyebilirim?

Ubuntu Dekstop 17.04 x64 işletim sistemini kullanıyorum, bu arada yeni olduğumu belirteyim.
« Son Düzenleme: 31 Ağustos 2017 - 16:58:37 Gönderen: tyko »


« Yanıtla #2 : »
Edit : Radeon HD 4770 Ubuntu'nun 14.04.5 LTS sürümünde destekliymiş diye x64'ünü indirip kurdum fakat güncelleme sonra ekran kartını yüklemek istediğimde aynı hatayı aldım.


Edit :

Çıktılar şunlar :
lsb_release -a
Kod: [Seç]
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.5 LTS
Release: 14.04
Codename: trusty

lspci -nnk | egrep "VGA|3D|Display" -A2
Kod: [Seç]
02:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RV740 PRO [Radeon HD 4770] [1002:94b3]
Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Device [1002:0d00]
Kernel driver in use: radeon

glxinfo | grep render
Kod: [Seç]
02:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RV740 PRO [Radeon HD 4770] [1002:94b3]
Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Device [1002:0d00]
Kernel driver in use: radeon
ege@ege-pc:~$ glxinfo | grep render
direct rendering: Yes
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
OpenGL renderer string: Gallium 0.4 on AMD RV740 (DRM 2.43.0, LLVM 3.8.0)
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth,
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_packed_depth_stencil,
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth,
    GL_NV_blend_square, GL_NV_conditional_render, GL_NV_depth_clamp,

xrandr
Kod: [Seç]
Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192
DVI-0 disconnected (normal left inverted right x axis y axis)
DIN disconnected (normal left inverted right x axis y axis)
DVI-1 connected primary 1440x900+0+0 (normal left inverted right x axis y axis) 408mm x 255mm
   1440x900       59.9*+   75.0 
   1280x1024      75.0     60.0 
   1280x960       60.0 
   1280x800       59.8 
   1152x864       75.0 
   1024x768       75.1     70.1     60.0 
   832x624        74.6 
   800x600        72.2     75.0     60.3     56.2 
   640x480        75.0     72.8     66.7     60.0 
   720x400        70.1 

dpkg -l | egrep "nvidia|bumblebee|nvidia-prime|fglrx"
Kod: [Seç]
çıktı yok
« Son Düzenleme: 31 Ağustos 2017 - 21:21:34 Gönderen: tyko »

« Yanıtla #3 : »
ATI 2x00 - ATI 4x00 arası serilere fglrx sürücü desteği Ubuntu 12.04 LTS ile bitti, bu sürümde dahi xorg sürümü düşürülerek kurulum yapılabiliyordu. Bununla birlikte Ubuntu 12.04 LTS sürümün desteği de bitmiş durumda.

Ubuntu 14.04 sürüme ATI 6x00 üstü seriler için fglrx sürücüsü kurulabiliyor, bunun için çekirdek sürümünün 3.19 altında tutulması gerekiyor. Bir ara proposed deposunda (varsayılan olrak gelmeyen bir test deposu olarak tanımlanabilir) çekirdeğin daha üst sürümleri için yamalanmış fglrx sürücüsü vardı diye hatırlıyorum, ama bu tabanı artık takip etmediğim için son durum nedir bilemiyorum.

Kısacası desteği devam eden tüm sürümlerde açık kaynak radeon sürücüsünü kullanabilirsiniz.

Ubuntu 16.04 tabanında, mesa sürücüsünü 17.x sürüme güncellemeniz durumunda burada anlatılan ayarlarla (radeon sürücüsü ile) fena sayılmayacak bir kullanım seviyesine ulaşabiliyorsunuz (Not: Ubuntu'da xed yerine masaüstü ortaı ile gelen metin düzenleyiciyi yazmalısınız.)

Ayrıca masaüstü bir sistem kullanıyorsanız, burada anlatıldığı biçimde radeon-profile paketini kurarak, GPU'yu performans kipinde çalıştırabilirsiniz.

« Yanıtla #4 : »
Yanıtınız için teşekkür ederim. Ubuntu 16'ya geçiş yaptım. İlk gönderdiğiniz linkteki config dosyasını ayarladım fakat, 2. *bağlantıda bulunan paketleri yüklerken hata aldım. Sanırım mesa sürücüleri yok. Aldığım hata şudur :
Kod: [Seç]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 radeon-profile : Depends: qt59charts-no-lgpl but it is not installable
E: Unable to correct problems, you have held broken packages.

Bu sorunu nasıl çözebilirim ve mesa grafik sürücülerini yükleyebilirim?

« Yanıtla #5 : »
Ubuntu 16.04 güncel sürümü kurduysanız Mesa sürücüsü yükseltmenize gerek yok.

Radeon-profile için eksik bağımlılık sorunu aşağıdaki PPA deposunu sisteme ekleyerek çözebilirsiniz.

Kod: [Seç]
sudo add-apt-repository ppa:beineri/opt-qt591-xenial
sudo apt-get update

Ardından aşağıdaki komutla kuruluma devam ediniz.

Kod: [Seç]
sudo apt-get install radeon-profile
Radeon-profile kurulumundan sonra, aşağıdaki komutlarla QT ile ilgili eklediğiniz PPA deposunu kaldırmanızı öneririm.

Kod: [Seç]
sudo rm -f /etc/apt/sources.list.d/beineri-opt-qt591-xenial-xenial.list
Kod: [Seç]
sudo apt-get update

« Yanıtla #6 : »
Sizin işlem ağacınızı tek tek uyguladım fakat aşağıdaki koda geldiğimde hata aldım.
Kod: [Seç]
sudo apt-get install radeon-profile
Aşağıda ki çıktıyı alıyorum.
Kod: [Seç]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package radeon-profile

Dediğim gibi bende bir takım şeyler eksik. Sanırım bağımlılıklar veya benzer uygulamalar. Mesala mesa sürücüsünü kullandığımı terminalden tehit etsek. Yani genel de denediğim kodları çalıştıramıyorum. Birde Ubuntu OS yüklenirken 3. parti yazılımları yükle seçeneğini seçmedim bu bir etken olmuş olabilir mi? Eğer gerekliyse 8. kez format atabilirim. :)
« Son Düzenleme: 01 Eylül 2017 - 18:07:38 Gönderen: tyko »

« Yanıtla #7 : »
Yeniden kuruluma gerek yok, aşağıdaki komutları yeniden sırasıyla uçbirimde çalıştırınız.

Kod: [Seç]
sudo add-apt-repository ppa:trebelnik-stefina/radeon-profile
sudo apt-get update
sudo apt-get install radeon-profile

3. parti yazılımlar seçeneği video ses çözücüleri gibi eklentiler için.

Mesa sürücüleri sistemle varsayılan olarak gelir, bizim yapmaya çalıştığımız bu sürücüleri bir miktar daha performanslı hale getirmek.

Teyit için aşağıdaki komutla inxi paketini yükleyip,

Kod: [Seç]
sudo apt-get install inxi
ardından aşağıdaki komutun çıktısına bakabilirsiniz.

Kod: [Seç]
inxi -Gx
Bu arada /etc/X11/xorg.conf.d/20-radeon.conf dosyasını oluşturduuz mu? Komutun çıktısı ile içeriğine bakabilirsiniz.

Kod: [Seç]
cat /etc/X11/xorg.conf.d/20-radeon.conf

« Yanıtla #8 : »
Dediklerinizi hemen deneyeceğim 40 dk içinde.

Edit :

Dediklerinizi denedim. Sonunda Radeon Profile programını indirdim. Program üzerinde sadece "Overclock" ve "Fan Control" sekmeleri pasif onun dışında çalışıyor.

Komutun çıktısı "inxi -Gx" :
Kod: [Seç]
Graphics:  Card: Advanced Micro Devices [AMD/ATI] RV740 PRO [Radeon HD 4770]
           bus-ID: 02:00.0
           Display Server: X.Org 1.19.3 drivers: ati,radeon (unloaded: fbdev,vesa)
           Resolution: 1440x900@59.89hz
           GLX Renderer: Gallium 0.4 on AMD RV740 (DRM 2.49.0 / 4.10.0-33-generic, LLVM 4.0.0)
           GLX Version: 3.0 Mesa 17.0.7 Direct Rendering: Yes

Komutun çıktısı "cat /etc/X11/xorg.conf.d/20-radeon.conf" :
Kod: [Seç]
Section "Device"
Identifier  "Radeon"
Driver "radeon"
Option "AccelMethod" "glamor"
        Option "DRI" "3"
        Option "TearFree" "on"
        Option "ColorTiling" "on"
        Option "ColorTiling2D" "on"
EndSection

Çok teşekkür ederim. Daha yapacağımız bir şey kaldı mı?

Edit2 :

Dosyanın içine bir şeyler yazarken baya zorlandım önce gittim dosyaya okuma - yazma izni verdim sonra metin editörü ile içine yazıp kaydettim. Bunun daha pratik bir yolu var mı?(Terminalden)


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : 02 Eylül 2017 - 10:45:34
Format sonrası yukarıda yazdığınız kodları tekrar denedim fakat bu sefer çalışmadı.

"sudo apt-get install radeon-profile" kodunu girdiğimde böyle bir hata ile karşılaşıyorum.
Kod: [Seç]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 radeon-profile : Depends: qt59charts-no-lgpl but it is not installable
E: Unable to correct problems, you have held broken packages.
« Son Düzenleme: 02 Eylül 2017 - 10:45:34 Gönderen: tyko »

« Yanıtla #9 : »
Alıntı
radeon-profile : Depends: qt59charts-no-lgpl but it is not installable

Bunun cevabını zaten paylaştım.

Önceki yaptığınız işlemler tamam, yeniden kurulum sonrasında aynı işlemleri tekrarlamanız yeterli.

Alıntı
Dosyanın içine bir şeyler yazarken baya zorlandım önce gittim dosyaya okuma - yazma izni verdim sonra metin editörü ile içine yazıp kaydettim. Bunun daha pratik bir yolu var mı?(Terminalden)

Kod: [Seç]
sudo metin-düzenleyici /dosyanın/adresi